import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid, userType) {
  return request({
    url: '/auth/login',
    method: 'post',
    data: { username, password, code, uuid,userType }
  })
}

export function phoneLogin(data) {
  return request({
    url: '/auth/login',
    method: 'post',
    data: data
  })
}
//获取验证码
export function sendCode(username) {
  return request({
    url: '/auth/send/code',
    method: 'post',
    data: { username }
  })
}

// 注册方法
export function register(data) {
  return request({
    url: '/auth/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 刷新方法
export function refreshToken() {
  return request({
    url: '/auth/refresh',
    method: 'post'
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/system/user/getInfo',
    method: 'get'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/code',
    method: 'get'
  })
}

// 获取首页配置
export function initPage() {
  return request({
    url: '/system/config/initPage',
    method: 'get'
  })
}
/* 获取鉴权身份标识/提交标识
* jsessionid参数在获取后提交
*/
export function ssoGetLoginUser() {
  return request({
    url: '/auth/login',
    method: 'get'
  })
}
//退出登录
export function logout() {
  return request({
    url: '/auth/logout',
    method: 'get'
  })
}

